#services-link {
  border-bottom: 5px solid var(--zblue);
  padding-bottom: 0;
}


.services-container {
    width: 100%;
    padding: 2rem; /* enough padding from header/footer */
    display: flex;
    flex-direction: column;
    align-items: center;
}

.services-header {
    width: 70%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.services-header h1 {
    font-size: 3rem;
    padding: 1rem;
    font-weight: 600;
    color: var(--zblue);
}

.services-header span {
    font-size: 3rem;
    padding: 1rem;
    font-weight: 600;
    color: var(--zblue3);
}

.services-header p {
    font-size: 1.1rem;
    padding: 1rem;
    color: #555;
    text-align: center;
}











.services-grid {
    position: relative;
    width: 80%;
    padding: 1rem 0;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 2rem;
}

.service-card {
    position: relative;
    display: block;
    background: #f9f9f9;
    padding: 1rem;
    border-radius: 12px;
    overflow: hidden;

    box-shadow: 0 4px 10px rgba(0,0,0,0.35);

    text-align: left;
    transition: transform 0.4s ease, opacity 0.4s ease;
    min-height: 30vh;
    display: flex;
    flex-direction: column;
    text-decoration: none;



}

.service-card:hover {
    transform: scale(1.05);
    box-shadow: 0 8px 20px rgba(0,0,0,0.35);
}

.service-card img{
    width: 100%;
    border-radius: 8px;
    object-fit: cover;
}

.service-card div {
    flex: 1;
    display: flex;
    flex-direction: column;
    padding: 0.1rem;
    justify-content: space-between;
}

.service-card h3 {
    color: black;
    margin: 10px 0;
    font-size: 1.4rem;
}

.card-description {
    font-size: 1.1rem;
    margin-bottom: 10px;
    color: #555;
}

.discover {
    color: #007bff;
    text-decoration: none;
    font-weight: bold;
}

.service-card.active{
    grid-column: 1/4;
    grid-row: 1/4;
}






.service-modal.hidden {
    opacity: 0;
    pointer-events: none;
}

.service-modal {
    position: fixed;
    inset: 0;
    z-index: 9999;
    display: grid;
    place-items: center;
    transition: opacity 0.3s ease;
}

.modal-backdrop {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.65);
    backdrop-filter: blur(3px);
}

.modal-content {
    position: relative;
    background: #fff;
    width: min(90%, 1000px);
    max-height: 90vh;
    padding: 2rem;
    border-radius: 1rem;
    overflow-y: auto;
    box-shadow: 0 0 40px rgba(0,0,0,0.3);
    z-index: 2;
    animation: modalPop 0.35s ease;
}

.modal-content ul{
 padding-left: 1rem;
}

.modal-content h2, .modal-content p{
    margin-bottom: 1rem;
}

.modal-content h2{
    color: var(--zblue);
    font-weight: 600;
}

.modal-content li{
    margin-bottom: 0.3rem;
}

.modal-content span{
    color: var(--zblue3);
    font-weight: 800;
}


@keyframes modalPop {
    0%   {transform: scale(0.92); opacity: 0;}
    100% {transform: scale(1);   opacity: 1;}
}

#modal-close {
    position: absolute;
    top: 1rem;
    right: 1rem;
    border: none;
    background: none;
    font-size: 2rem;
    cursor: pointer;
    line-height: 1;
}
